[Risolto] come forzare installazione nuovo samba

Prossima versione di Ubuntu in fase di sviluppo e test. Per i precedenti rilasci, consultare «Archivio del forum».
Scrivi risposta
Avatar utente
corradoventu
Entusiasta Emergente
Entusiasta Emergente
Messaggi: 2221
Iscrizione: domenica 27 aprile 2008, 22:23
Desktop: GNOME
Distribuzione: Ubuntu 18.04, 19.10, 20.04, 20.10
Sesso: Maschile
Località: Bogliasco (GE) o Rezzoaglio (GE)
Contatti:

[Risolto] come forzare installazione nuovo samba

Messaggio da corradoventu » lunedì 6 febbraio 2017, 14:04

Ubuntu Zesty: con samba ho il problema di cui al bug:
https://bugs.launchpad.net/ubuntu/+sour ... ug/1639962

nel bug si dice:
With samba 2:4.4.6+dfsg-2 and libtevent0 0.9.31-1, the problem does not occur anymore.

ora il mio release di samba (dopo ultima apt-get update+upgrade+dist-upgrate - proposed abilitati) è:

Codice: Seleziona tutto


corrado@corrado-z2:~$ apt-cache policy samba
samba:
  Installed: 2:4.4.5+dfsg-2ubuntu7
  Candidate: 2:4.4.5+dfsg-2ubuntu7
  Version table:
 *** 2:4.4.5+dfsg-2ubuntu7 500
        500 http://archive.ubuntu.com/ubuntu zesty/main amd64 Packages
        100 /var/lib/dpkg/status
corrado@corrado-z2:~$ 

corrado@corrado-z2:~$ apt-cache policy libtevent0
libtevent0:
  Installed: 0.9.31-1
  Candidate: 0.9.31-1
  Version table:
 *** 0.9.31-1 500
        500 http://archive.ubuntu.com/ubuntu zesty/main amd64 Packages
        100 /var/lib/dpkg/status
corrado@corrado-z2:~$ 
Domanda: posso forzare installazione nuovo samba 2:4.4.6+dfsg-2 ? come?

trovo:
https://launchpad.net/debian/+source/sa ... 4.6+dfsg-2
https://packages.qa.debian.org/s/samba/ ... 3921Z.html
https://packages.qa.debian.org/s/samba/ ... 2046Z.html
ma non so come muovermi.
grazie
Ultima modifica di corradoventu il giovedì 9 febbraio 2017, 8:27, modificato 2 volte in totale.
Con o senza religione, i buoni si comportano bene e i cattivi male, ma ci vuole la religione per far comportare male i buoni.
(Steven Weinberg)

Avatar utente
wilecoyote
Gruppo Documentazione
Gruppo Documentazione
Messaggi: 10858
Iscrizione: giovedì 20 agosto 2009, 16:21
Desktop: Kubuntu Lubuntu
Distribuzione: 9.04 32bit 14/16/18/20.04 LTS 64bit
Sesso: Maschile
Località: Ceranesi - Ge

Re: come forzare installazione nuovo samba 2:4.4.6+dfsg-2 ?

Messaggio da wilecoyote » lunedì 6 febbraio 2017, 14:36

:) Salve, piuttosto semplice con 2 alternative, la 1° aspetti che venga compilato da altri, la 2° lo compili da te scaricando il sorgente, samba_4.4.6+dfsg.orig.tar.gz, da Launchpad.

:ciao: Ciao
ACER Extensa 5230E 2,2 Ghz cpu Celeron 900 hdd 160 GB Ram 1GB scheda video Intel GM500
ACER Extensa 5635Z 2,2 Ghz cpu Celeron T3100 hdd 320 GB Ram 4 GB scheda video Intel Mobile 4
Quando una Finestra chiusa incontra un Pinguino la Finestra chiusa è una Finestra aperta.

Avatar utente
giulux
Amministratore
Amministratore
Messaggi: 24300
Iscrizione: domenica 10 gennaio 2010, 12:17
Desktop: ubuntu 18.04
Distribuzione: Ubuntu 18.04.3 LTS x86_64
Sesso: Maschile
Località: Roma

Re: come forzare installazione nuovo samba 2:4.4.6+dfsg-2 ?

Messaggio da giulux » lunedì 6 febbraio 2017, 15:40

Sposto in ubuntu in sviluppo.

Avatar utente
wilecoyote
Gruppo Documentazione
Gruppo Documentazione
Messaggi: 10858
Iscrizione: giovedì 20 agosto 2009, 16:21
Desktop: Kubuntu Lubuntu
Distribuzione: 9.04 32bit 14/16/18/20.04 LTS 64bit
Sesso: Maschile
Località: Ceranesi - Ge

Re: come forzare installazione nuovo samba 2:4.4.6+dfsg-2 ?

Messaggio da wilecoyote » lunedì 6 febbraio 2017, 16:47

:) Salve, ricevuto cambio di sezione.

Nel frattempo l'ho scaricato, configurato, compilato e pacchettizzato, in effetti un lavoraccio.

Ti posto i comandi:

Codice: Seleziona tutto

cd ~/path/alfile/scompattato
sudo auto-apt run ./configure --enable-fhs --prefix=/usr
make
sudo checkinstall  -D --install=no
Le opzioni del 1° comando le ho ottenute con:

Codice: Seleziona tutto

cd ~/path/alfile/scompattato
./configure --help
Qui le wiki in revisione che spiegano la procedura wilecoyote/provawccki e wilecoyote/provawcdasorgenti.

:ciao: Ciao
ACER Extensa 5230E 2,2 Ghz cpu Celeron 900 hdd 160 GB Ram 1GB scheda video Intel GM500
ACER Extensa 5635Z 2,2 Ghz cpu Celeron T3100 hdd 320 GB Ram 4 GB scheda video Intel Mobile 4
Quando una Finestra chiusa incontra un Pinguino la Finestra chiusa è una Finestra aperta.

Avatar utente
corradoventu
Entusiasta Emergente
Entusiasta Emergente
Messaggi: 2221
Iscrizione: domenica 27 aprile 2008, 22:23
Desktop: GNOME
Distribuzione: Ubuntu 18.04, 19.10, 20.04, 20.10
Sesso: Maschile
Località: Bogliasco (GE) o Rezzoaglio (GE)
Contatti:

Re: come forzare installazione nuovo samba 2:4.4.6+dfsg-2 ?

Messaggio da corradoventu » lunedì 6 febbraio 2017, 17:09

corrado@corrado-z2:~/Downloads/samba-4.4.6$ sudo auto-apt run ./configure --enable-fhs --prefix=/usr
sudo: auto-apt: command not found
corrado@corrado-z2:~/Downloads/samba-4.4.6$

invece ...
corrado@corrado-z2:~/Downloads/samba-4.4.6$ ./configure --enable-fhs --prefix=/usr
... dopo alcune pagine di messaggi finisce con:

Codice: Seleziona tutto

Checking for perl $Config{vendorlib}:                                             : '/usr/share/perl5' 
PERL_LIB_INSTALL_DIR:                                                             : '/usr/share/perl5' 
Traceback (most recent call last):
  File "./buildtools/bin/waf", line 76, in <module>
    Scripting.prepare(t, cwd, VERSION, wafdir)
  File "/home/corrado/Downloads/samba-4.4.6/third_party/waf/wafadmin/Scripting.py", line 145, in prepare
    prepare_impl(t, cwd, ver, wafdir)
  File "/home/corrado/Downloads/samba-4.4.6/third_party/waf/wafadmin/Scripting.py", line 135, in prepare_impl
    main()
  File "/home/corrado/Downloads/samba-4.4.6/wscript", line 342, in main
    wildcard_main(wildcard_cmd)
  File "./buildtools/wafsamba/samba_wildcard.py", line 110, in wildcard_main
    fun(ctx)
  File "/home/corrado/Downloads/samba-4.4.6/third_party/waf/wafadmin/Scripting.py", line 241, in configure
    conf.sub_config([''])
  File "/home/corrado/Downloads/samba-4.4.6/third_party/waf/wafadmin/Configure.py", line 237, in sub_config
    self.recurse(k, name='configure')
  File "/home/corrado/Downloads/samba-4.4.6/third_party/waf/wafadmin/Utils.py", line 656, in recurse
    f(self)
  File "/home/corrado/Downloads/samba-4.4.6/wscript", line 102, in configure
    conf.SAMBA_CHECK_PERL(mandatory=True)
  File "./buildtools/wafsamba/samba_perl.py", line 52, in SAMBA_CHECK_PERL
    perl_inc.remove('.')
ValueError: list.remove(x): x not in list
grazie comunque ... ci studierò ...
Con o senza religione, i buoni si comportano bene e i cattivi male, ma ci vuole la religione per far comportare male i buoni.
(Steven Weinberg)

Avatar utente
wilecoyote
Gruppo Documentazione
Gruppo Documentazione
Messaggi: 10858
Iscrizione: giovedì 20 agosto 2009, 16:21
Desktop: Kubuntu Lubuntu
Distribuzione: 9.04 32bit 14/16/18/20.04 LTS 64bit
Sesso: Maschile
Località: Ceranesi - Ge

Re: come forzare installazione nuovo samba 2:4.4.6+dfsg-2 ?

Messaggio da wilecoyote » lunedì 6 febbraio 2017, 17:22

:) Salve, come spiegato nella wiki, auto-apt và scaricato e configurato prima dell'uso, dopodiché il suo compito è di scaricare le dipendenze di configurazione e compilazione del sorgente da lavorare.

:ciao: Ciao
ACER Extensa 5230E 2,2 Ghz cpu Celeron 900 hdd 160 GB Ram 1GB scheda video Intel GM500
ACER Extensa 5635Z 2,2 Ghz cpu Celeron T3100 hdd 320 GB Ram 4 GB scheda video Intel Mobile 4
Quando una Finestra chiusa incontra un Pinguino la Finestra chiusa è una Finestra aperta.

Avatar utente
corradoventu
Entusiasta Emergente
Entusiasta Emergente
Messaggi: 2221
Iscrizione: domenica 27 aprile 2008, 22:23
Desktop: GNOME
Distribuzione: Ubuntu 18.04, 19.10, 20.04, 20.10
Sesso: Maschile
Località: Bogliasco (GE) o Rezzoaglio (GE)
Contatti:

Re: come forzare installazione nuovo samba 2:4.4.6+dfsg-2 ?

Messaggio da corradoventu » lunedì 6 febbraio 2017, 18:13

@wilecoyote: nella tua pagina: http://wiki.ubuntu-it.org/wilecoyote/provawccki
nelle prime righe trovo:
L'installazione di un programma da sorgenti non prevede l'installazione di eventuali dipendenze né dà la possibilità di disinstallare il programma tramite il gestore pacchetti.
e a fine pagina:
I pacchetti installati servendosi di CheckInstall possono essere facilmente rimosso tramite il gestore pacchetti o digitando nel terminale il seguente comando ...
mi sembrano in contrasto. cosa non capico?

già ce hai tanta paziensa, installando auto-apt mi compare un messaggio che mi ha lasciiato sempre in dubbio, dice.. Suggested packages: ... cosa ne faccio? devo installarli?
Con o senza religione, i buoni si comportano bene e i cattivi male, ma ci vuole la religione per far comportare male i buoni.
(Steven Weinberg)

Avatar utente
corradoventu
Entusiasta Emergente
Entusiasta Emergente
Messaggi: 2221
Iscrizione: domenica 27 aprile 2008, 22:23
Desktop: GNOME
Distribuzione: Ubuntu 18.04, 19.10, 20.04, 20.10
Sesso: Maschile
Località: Bogliasco (GE) o Rezzoaglio (GE)
Contatti:

Re: come forzare installazione nuovo samba 2:4.4.6+dfsg-2 ?

Messaggio da corradoventu » lunedì 6 febbraio 2017, 18:23

installato auto-apt ... finisce sempre con

Codice: Seleziona tutto

Traceback (most recent call last):
  File "./buildtools/bin/waf", line 76, in <module>
    Scripting.prepare(t, cwd, VERSION, wafdir)
  File "/home/corrado/Downloads/samba-4.4.6/third_party/waf/wafadmin/Scripting.py", line 145, in prepare
    prepare_impl(t, cwd, ver, wafdir)
  File "/home/corrado/Downloads/samba-4.4.6/third_party/waf/wafadmin/Scripting.py", line 135, in prepare_impl
    main()
  File "/home/corrado/Downloads/samba-4.4.6/wscript", line 342, in main
    wildcard_main(wildcard_cmd)
  File "./buildtools/wafsamba/samba_wildcard.py", line 110, in wildcard_main
    fun(ctx)
  File "/home/corrado/Downloads/samba-4.4.6/third_party/waf/wafadmin/Scripting.py", line 241, in configure
    conf.sub_config([''])
  File "/home/corrado/Downloads/samba-4.4.6/third_party/waf/wafadmin/Configure.py", line 237, in sub_config
    self.recurse(k, name='configure')
  File "/home/corrado/Downloads/samba-4.4.6/third_party/waf/wafadmin/Utils.py", line 656, in recurse
    f(self)
  File "/home/corrado/Downloads/samba-4.4.6/wscript", line 102, in configure
    conf.SAMBA_CHECK_PERL(mandatory=True)
  File "./buildtools/wafsamba/samba_perl.py", line 52, in SAMBA_CHECK_PERL
    perl_inc.remove('.')
ValueError: list.remove(x): x not in list
corrado@corrado-z2:~/Downloads/samba-4.4.6$ make
WAF_MAKE=1 python ./buildtools/bin/waf build
Project not configured (run 'waf configure' first)
Makefile:8: recipe for target 'all' failed
make: *** [all] Error 1
corrado@corrado-z2:~/Downloads/samba-4.4.6$ 
Con o senza religione, i buoni si comportano bene e i cattivi male, ma ci vuole la religione per far comportare male i buoni.
(Steven Weinberg)

Avatar utente
wilecoyote
Gruppo Documentazione
Gruppo Documentazione
Messaggi: 10858
Iscrizione: giovedì 20 agosto 2009, 16:21
Desktop: Kubuntu Lubuntu
Distribuzione: 9.04 32bit 14/16/18/20.04 LTS 64bit
Sesso: Maschile
Località: Ceranesi - Ge

Re: come forzare installazione nuovo samba 2:4.4.6+dfsg-2 ?

Messaggio da wilecoyote » martedì 7 febbraio 2017, 16:54

:) Salve, comincio dal 1° post, preciso subito che la parte con 'auto-apt' và saltata, è pur sempre un lavoro in divenire.

Il significato è che installando da sorgenti col classico comando 'sudo make install', per disinstallare bisogna conservare la directory ove si è fatta la compilazione, senza alcuna alterazione e sempre che sia previsto il comando 'sudo make unistall', vedere a proposito nel file INSTALL e/o README.

Invece pacchettizzando con 'checkinstall', la directory la puoi eliminarla e liberare spazio nella "Home", puoi sempre rimuovere il programma, ed ancor di più è molto comodo per chi ha fatto tante compilazioni.

Per le dipendenze discorso simile, se durante l'esecuzione dello script 'configure' ne manca una, prima devi installarla e poi ricominciare da capo, magari più e più volte se ne mancano tante, usando 'auto-apt' esse vengono automaticamente installate, un'altra comodità.

Per il 3° intanto preciso che ho compilato in un Lubuntu Xenial, nell'output dice che il progetto non è ancora configurato, ora come ora non ho sottomano il 2° computer per verificare, quindi o manca una o più dipendenze o forse i repository di Zesty non sono ancora stabili, e questo spiegherebbe perché ancora non è stato pacchettizzato.

Stasera, per altri motivi, contavo di scaricare l'ISO di Zesty e poi di masterizzarla, verificherò anche con esso.

:ciao: Ciao
ACER Extensa 5230E 2,2 Ghz cpu Celeron 900 hdd 160 GB Ram 1GB scheda video Intel GM500
ACER Extensa 5635Z 2,2 Ghz cpu Celeron T3100 hdd 320 GB Ram 4 GB scheda video Intel Mobile 4
Quando una Finestra chiusa incontra un Pinguino la Finestra chiusa è una Finestra aperta.

Avatar utente
corradoventu
Entusiasta Emergente
Entusiasta Emergente
Messaggi: 2221
Iscrizione: domenica 27 aprile 2008, 22:23
Desktop: GNOME
Distribuzione: Ubuntu 18.04, 19.10, 20.04, 20.10
Sesso: Maschile
Località: Bogliasco (GE) o Rezzoaglio (GE)
Contatti:

Re: come forzare installazione nuovo samba 2:4.4.6+dfsg-2 ?

Messaggio da corradoventu » martedì 7 febbraio 2017, 17:32

Grazie, ma vista la difficoltà (almeno per me) penso di aspettare, il problema non disturba molto, nonostante il problema da Zesty riesco a vedere le directory condivise sugli altri PC di casa e se ho bisogno di condividere dati che ho su Zesty li metto su una partizione condivisa e riparto con uno Xenial che sta in una altra partizione. Inoltre sono fiducioso nella risoluzione del problema, fino a qualche giorno fa avevo il crash ad ogni ripartenza ma apport non partiva; l'altro giorno finalmente apport è partito e ho aperto un bug: https://bugs.launchpad.net/ubuntu/+sour ... ug/1661928 che è risultato duplicato di uno già noto e diffuso tra vari utenti: https://bugs.launchpad.net/ubuntu/+sour ... ug/1639962 questo ultimo a sua volta ha vari duplicati e quindi immagino sarà alla attenzione.
grazie ancora per la pazienza.
Con o senza religione, i buoni si comportano bene e i cattivi male, ma ci vuole la religione per far comportare male i buoni.
(Steven Weinberg)

Avatar utente
et4beta
Rampante Reduce
Rampante Reduce
Messaggi: 7594
Iscrizione: mercoledì 9 gennaio 2008, 10:15
Desktop: Gnome
Distribuzione: 18.04-20.04-20.10 (NO UEFI)
Località: Ancona

Re: come forzare installazione nuovo samba 2:4.4.6+dfsg-2 ?

Messaggio da et4beta » mercoledì 8 febbraio 2017, 0:56

E' arrivato un messaggio per il fix del bug di samba che dice che "sembra" fixed sulla versione 4.4.7. Non so perché "sembri", forse non sono sicuri.
Ad ogni modo non so se sia sui proposed, ma sugli aggiornamenti normali non c'è, e su Zesty le "reti" continuano a non andare bene, ma ormai sembra diventata consuetudine che siano le ultime cose ad essere sistemate..
Linux User #485103 - Ubuntu User #38220 - Desktop: MoBo Asus X99-A - Intel i7 5820K - RAM G.Skill Ripjaws V DDR4 32 Gb - GPU Asus STRIX Nvidia GTX 970 - Monitor Asus MG278Q - SSD Samsung 970 EVO Plus M.2 PCIe NVMe 500 Gb - SSD Samsung 850 EVO 500 Gb + 3 HDD (2 Seagate 2Tb+ 1 WD 2Tb) - / - Asus TUF Gaming FX705GE - i7 8750H - RAM 16 Gb - / - Asus K55VD i7 3610QM RAM 8Gb.

Avatar utente
trekfan1
Moderatore Globale
Moderatore Globale
Messaggi: 21583
Iscrizione: domenica 21 maggio 2006, 10:51
Desktop: Gnome
Distribuzione: Ubuntu 20.10 e 21.04 (dev) 64 bit
Sesso: Maschile
Località: Formigine (MO) | Accecante Asceta

Re: come forzare installazione nuovo samba 2:4.4.6+dfsg-2 ?

Messaggio da trekfan1 » mercoledì 8 febbraio 2017, 6:05

Io ho i proposed abilitati ma c'è ancora il 4.4.5, @corradoventu ti ricordo l'uso del tag code per postare output o brevi listati, provvedi a modificare il primo post, grazie

Avatar utente
trekfan1
Moderatore Globale
Moderatore Globale
Messaggi: 21583
Iscrizione: domenica 21 maggio 2006, 10:51
Desktop: Gnome
Distribuzione: Ubuntu 20.10 e 21.04 (dev) 64 bit
Sesso: Maschile
Località: Formigine (MO) | Accecante Asceta

Re: come forzare installazione nuovo samba 2:4.4.6+dfsg-2 ?

Messaggio da trekfan1 » giovedì 9 febbraio 2017, 6:22

Codice: Seleziona tutto

Scaricamento di:1 http://archive.ubuntu.com/ubuntu zesty-proposed/main amd64 samba-vfs-modules amd64 2:4.5.4+dfsg-1ubuntu1 [257 kB]
Scaricamento di:2 http://archive.ubuntu.com/ubuntu zesty-proposed/main amd64 python-samba amd64 2:4.5.4+dfsg-1ubuntu1 [1.261 kB]
Scaricamento di:3 http://archive.ubuntu.com/ubuntu zesty-proposed/main amd64 libpam-winbind amd64 2:4.5.4+dfsg-1ubuntu1 [28,5 kB]
Scaricamento di:4 http://archive.ubuntu.com/ubuntu zesty-proposed/main amd64 winbind amd64 2:4.5.4+dfsg-1ubuntu1 [3.982 kB]
Scaricamento di:5 http://archive.ubuntu.com/ubuntu zesty-proposed/main amd64 smbclient amd64 2:4.5.4+dfsg-1ubuntu1 [314 kB]
Scaricamento di:6 http://archive.ubuntu.com/ubuntu zesty-proposed/main amd64 samba-common-bin amd64 2:4.5.4+dfsg-1ubuntu1 [510 kB]
Scaricamento di:7 http://archive.ubuntu.com/ubuntu zesty-proposed/main amd64 libsmbclient amd64 2:4.5.4+dfsg-1ubuntu1 [53,4 kB]
Scaricamento di:8 http://archive.ubuntu.com/ubuntu zesty-proposed/main amd64 samba-libs amd64 2:4.5.4+dfsg-1ubuntu1 [5.076 kB]
Scaricamento di:9 http://archive.ubuntu.com/ubuntu zesty-proposed/main amd64 libwbclient0 amd64 2:4.5.4+dfsg-1ubuntu1 [33,2 kB]
Scaricamento di:10 http://archive.ubuntu.com/ubuntu zesty-proposed/main amd64 samba amd64 2:4.5.4+dfsg-1ubuntu1 [835 kB]
Scaricamento di:11 http://archive.ubuntu.com/ubuntu zesty-proposed/main amd64 samba-common all 2:4.5.4+dfsg-1ubuntu1 [77,1 kB]

Avatar utente
corradoventu
Entusiasta Emergente
Entusiasta Emergente
Messaggi: 2221
Iscrizione: domenica 27 aprile 2008, 22:23
Desktop: GNOME
Distribuzione: Ubuntu 18.04, 19.10, 20.04, 20.10
Sesso: Maschile
Località: Bogliasco (GE) o Rezzoaglio (GE)
Contatti:

Re: come forzare installazione nuovo samba 2:4.4.6+dfsg-2 ?

Messaggio da corradoventu » giovedì 9 febbraio 2017, 8:26

ottimo. funziona. anche se la installazione finisce con un messaggio che mi è sembrato preoccupante:

Codice: Seleziona tutto

Setting up samba (2:4.5.4+dfsg-1ubuntu1) ...
Installing new version of config file /etc/logrotate.d/samba ...
Failed to preset unit: Unit file /etc/systemd/system/samba-ad-dc.service is masked.
/usr/bin/deb-systemd-helper: error: systemctl preset failed on samba-ad-dc.service: No such file or directory
Processing triggers for libc-bin (2.24-7ubuntu2) ...
corrado@corrado-z2:~$ 
e così è risolto anche il mio bug Bug #1646096
nonchè i vari bug per crash di smdb e nmdb: Bug #1658293 Bug #1661835 Bug #1661840 Bug #1661845 Bug #1661928 Bug #1662816
metto risolto, grazie della segnalazione.
Con o senza religione, i buoni si comportano bene e i cattivi male, ma ci vuole la religione per far comportare male i buoni.
(Steven Weinberg)

Scrivi risposta

Ritorna a “Zesty Zapus 17.04”

Chi c’è in linea

Visualizzano questa sezione: 0 utenti iscritti e 1 ospite